Bug Hunting Session
Bug 58306 - Extension CT2N crashes on function Input (from File)
Summary: Extension CT2N crashes on function Input (from File)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
4.0.0.0.beta1
Hardware: Other Linux (All)
: medium normal
Assignee: Noel Power
URL:
Whiteboard: target:4.1.0 target:4.0.0.1
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-12-14 17:16 UTC by Cor Nouws
Modified: 2013-02-05 13:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2012-12-14 17:16:42 UTC
Clean user profile
Start 400beta1
Tools > Extension manager
Intall CT2N
 (from  http://extensions.libreoffice.org/extension-center/ct2n-convert-text-to-number-and-dates )

Start new spreadsheet
Click on purple icon from CT2N
Dialog appears, OK
(probably nothing to do)

Now again click the icon...
then LibreOffice crashes

Found that it is on the line 45 in

  UserSettings.LoadUserSettings

		n = FreeFile()
		Open sFileName for Input As #n
		Do while NOT EOF(n)
45 >			Input #n, s
		Loop
		Close #n


this function reads from a one line long file in 
  <user profile>/user/config/ct2n_usersettings.ini
Comment 1 Cor Nouws 2012-12-14 17:22:11 UTC
 - was OK in 3.6.4 > regression
Comment 2 Noel Power 2012-12-19 15:08:12 UTC
confirmed, and taking that
Comment 3 Not Assigned 2012-12-19 17:42:05 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=551cd207621be5922c528d32a6b349bcd8b10925

fix crash for fdo#58306 by avoiding literal assign



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2012-12-19 17:42:27 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8b9b779e9fc1de7186217b7be75ef02bb66e2da9

fix crash for fdo#58306 when appending to OUStringBuffer initialised with ""



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Not Assigned 2012-12-19 17:53:36 UTC
LuboÅ¡ LuÅak committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f484a8949334cdb659f3a0c222052fc05a9e76e5

Revert "fix crash for fdo#58306 when appending to OUStringBuffer initialised with """



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Not Assigned 2012-12-20 19:32:01 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d9695409d8ef0b328963c68da79c3039d5ec307b&g=libreoffice-4-0

fix crash for fdo#58306 by avoiding literal assign


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Noel Power 2013-02-05 13:11:09 UTC
marking fixed